List mutations
curl --request GET \
--url https://api.coval.dev/v1/agents/{agent_id}/mutations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/agents/{agent_id}/mutations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/agents/{agent_id}/mutations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mutations": [
{
"id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"agent_id": "gk3jK9mPq2xRt5vW8yZaBc",
"display_name": "GPT-4 Fast VAD",
"description": "Testing faster VAD settings",
"config_overrides": {
"voice": "nova",
"vad_stop_secs": 0.3
},
"parameter_values": {
"voice": "nova",
"vad_stop_secs": "0.3"
},
"create_time": "2025-10-14T12:00:00Z",
"update_time": "2025-10-15T14:30:00Z"
},
{
"id": "01ARZ3NDEKTSV4RRFFQ69G5FAW",
"agent_id": "gk3jK9mPq2xRt5vW8yZaBc",
"display_name": "Claude Model",
"description": "Testing Claude integration",
"config_overrides": {
"model": "claude-3-opus"
},
"parameter_values": {
"model": "claude-3-opus"
},
"create_time": "2025-10-13T10:00:00Z",
"update_time": null
}
],
"next_page_token": null,
"total_count": 2
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Agent not found",
"details": [
{
"field": "agent_id",
"description": "Agent 'gk3jK9mPq2xRt5vW8yZaBc' does not exist or is not accessible by your organization"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}Mutations
List mutations
Retrieve a paginated list of mutations for a specific agent.
GET
/
agents
/
{agent_id}
/
mutations
List mutations
Authorizations
API key for authentication
Path Parameters
Parent agent ID (22-character ShortUUID)
Pattern:
^[A-Za-z0-9]{22}$Query Parameters
Maximum number of results per page
Required range:
1 <= x <= 100Opaque pagination token from previous response
Was this page helpful?
⌘I